using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GridLoad
{
    public partial class Form1 : Form
    {
        public Form1(bool callload)
        {
            InitializeComponent();
            if (callload)
            {
                Load += new EventHandler(Form1_Load);
            }
        }

        void Form1_Load(object sender, EventArgs e)
        {
            buttonAdv1_Click(null, null);
        }

        private void buttonAdv1_Click(object sender, EventArgs e)
        {

            DataTable dt = new DataTable("fred");
            dt.Columns.Add("test", typeof(string));
            DataRow datarow = dt.NewRow();
            datarow[0] = "ernie";
            dt.Rows.Add(datarow);
            datarow = dt.NewRow();
            datarow[0] = "bossy";
            dt.Rows.Add(datarow);
            _Grid.DataSource = dt;
            _Grid.Reinitialize(); 
            _Grid.TableDescriptor.Columns["test"].Appearance.AnyRecordFieldCell.CellType = "ComboBox";
        }
    }
}